Index: /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/columns.py
===================================================================
--- /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/columns.py	(revision 2296)
+++ /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/columns.py	(revision 2297)
@@ -23,5 +23,5 @@
     def getMacro(self):
         """ Return macro used to render this column in view/edit """
-        return "datagrid_hidden_cell"
+        return "referencedatagrid_hidden_cell"
 
 # Initializes class security
@@ -72,5 +72,5 @@
     def getMacro(self):
         """ Return macro used to render this column in view/edit """
-        return "datagrid_block_cell"
+        return "referencedatagrid_block_cell"
 
 # Initializes class security
@@ -119,5 +119,5 @@
     def getMacro(self):
         """ Return macro used to render this column in view/edit """
-        return "datagrid_styled_cell"
+        return "referencedatagrid_styled_cell"
 
 # Initializes class security
Index: intagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/skins/referencedatagridfield/datagrid_block_cell.pt
===================================================================
--- /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/skins/referencedatagridfield/datagrid_block_cell.pt	(revision 2296)
+++ 	(revision )
@@ -1,48 +1,0 @@
-<html xmlns="http://www.w3.org/1999/xhtml"
-      xmlns:tal="http://xml.zope.org/namespaces/tal"
-      xmlns:metal="http://xml.zope.org/namespaces/metal"
-      xmlns:i18n="http://xml.zope.org/namespaces/i18n"
-      i18n:domain="plone">
-      
-      
-<!-- View/edit free text columns 
- 
-  -->
-
-<body>
-    <!-- VIEW -->
-    <metal:view_cell_macro define-macro="view_cell">                
-      <div tal:content="cell_value" />
-    </metal:view_cell_macro>
-
-    <!-- EDIT -->
-    <metal:edit_cell_macro define-macro="edit_cell">
-       <input style="width: 100%" name="myfield.name:records"
-	      tal:define="attribs python:column_definition.getAttributesData(rows);"
-              tal:attributes="name string:${fieldName}.${column}:records;
-                          id string:${column}_${fieldId};
-                          value cell_value;
-                          onchange eventHandler;
-                          readOnly python:attribs['read_only'];
-			  class python:attribs['style_class'];
-			  "
-	   type="text" />
-    </metal:edit_cell_macro>
-    
-   <!-- EMPTY EDIT -->
-    <metal:edit_empty_cell_macro define-macro="edit_empty_cell">
-       <input style="width: 100%" name="myfield.name:records" 
-                       tal:attributes="name string:${fieldName}.${column}:records;
-                                       id string:${column}_${fieldId};
-                                       value python: column_definition.getDefault(here);
-                                       onchange eventHandler;
-                                       "
-                       type="text" />
-    </metal:edit_empty_cell_macro>
-    
-    
-
-</body>
-
-</html>
-
Index: intagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/skins/referencedatagridfield/datagrid_hidden_cell.pt
===================================================================
--- /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/skins/referencedatagridfield/datagrid_hidden_cell.pt	(revision 2296)
+++ 	(revision )
@@ -1,68 +1,0 @@
-<html xmlns="http://www.w3.org/1999/xhtml"
-      xmlns:tal="http://xml.zope.org/namespaces/tal"
-      xmlns:metal="http://xml.zope.org/namespaces/metal"
-      xmlns:i18n="http://xml.zope.org/namespaces/i18n"
-      i18n:domain="plone">
-      
-      
-<!-- View/edit free text columns 
- 
-  -->
-
-<body>
-    <!-- VIEW -->
-    <metal:view_cell_macro define-macro="view_cell">                
-      <div tal:content="cell_value" />
-    </metal:view_cell_macro>
-
-    <!-- EDIT -->
-    <metal:edit_cell_macro define-macro="edit_cell">
-       <tal:visible condition="python:columnd['visible']">
-       <input style="width: 100%" name="myfield.name:records"
-                       tal:attributes="name string:${fieldName}.${column}:records;
-                                       id string:${column}_${fieldId};
-                                       value cell_value;
-                                       onchange eventHandler;
-                                       "
-                       type="text" />
-       </tal:visible>
-       <tal:hidden condition="python:not columnd['visible']">
-       <input style="width: 100%" name="myfield.name:records"
-                       tal:attributes="name string:${fieldName}.${column}:records;
-                                       id string:${column}_${fieldId};
-                                       value cell_value;
-                                       onchange eventHandler;
-                                       "
-                       type="hidden" />
-       </tal:hidden>
-    </metal:edit_cell_macro>
-    
-   <!-- EMPTY EDIT -->
-    <metal:edit_empty_cell_macro define-macro="edit_empty_cell">
-
-       <tal:visible condition="python:columnd['visible']">
-       <input style="width: 100%" name="myfield.name:records" 
-                       tal:attributes="name string:${fieldName}.${column}:records;
-                                       id string:${column}_${fieldId};        
-                                       value python: column_definition.getDefault(here);
-                                       onchange eventHandler;
-                                       "
-                       type="text" />
-       </tal:visible>
-       <tal:hidden condition="python:not columnd['visible']">
-       <input style="width: 100%" name="myfield.name:records" 
-                       tal:attributes="name string:${fieldName}.${column}:records;
-                                       id string:${column}_${fieldId};
-                                       value python: column_definition.getDefault(here);
-                                       onchange eventHandler;
-                                       "
-                       type="hidden" />
-       </tal:hidden>
-    </metal:edit_empty_cell_macro>
-    
-    
-
-</body>
-
-</html>
-
Index: intagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/skins/referencedatagridfield/datagrid_styled_cell.pt
===================================================================
--- /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/skins/referencedatagridfield/datagrid_styled_cell.pt	(revision 2296)
+++ 	(revision )
@@ -1,49 +1,0 @@
-<html xmlns="http://www.w3.org/1999/xhtml"
-      xmlns:tal="http://xml.zope.org/namespaces/tal"
-      xmlns:metal="http://xml.zope.org/namespaces/metal"
-      xmlns:i18n="http://xml.zope.org/namespaces/i18n"
-      i18n:domain="plone">
-      
-      
-<!-- View/edit free text columns 
- 
-  -->
-
-<body>
-    <!-- VIEW -->
-    <metal:view_cell_macro define-macro="view_cell">                
-      <div tal:content="cell_value" />
-    </metal:view_cell_macro>
-
-    <!-- EDIT -->
-    <metal:edit_cell_macro define-macro="edit_cell">
-       <input style="width: 100%" name="myfield.name:records"
-	      tal:define="attribs python:column_definition.getAttributes(rows);"
-              tal:attributes="name string:${fieldName}.${column}:records;
-                          id string:${column}_${fieldId};
-                          value cell_value;
-			  class python:attribs['class'];
-			  onblur python:attribs['onblur'];
-			  onfocus python:attribs['onfocus'];
-			  initial_value cell_value;
-			  "
-	   type="text" />
-    </metal:edit_cell_macro>
-    
-   <!-- EMPTY EDIT -->
-    <metal:edit_empty_cell_macro define-macro="edit_empty_cell">
-       <input style="width: 100%" name="myfield.name:records" 
-                       tal:attributes="name string:${fieldName}.${column}:records;
-                                       id string:${column}_${fieldId};
-                                       value python: column_definition.getDefault(here);
-                                       onchange eventHandler;
-                                       "
-                       type="text" />
-    </metal:edit_empty_cell_macro>
-    
-    
-
-</body>
-
-</html>
-
Index: /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/skins/referencedatagridfield/referencedatagrid_block_cell.pt
===================================================================
--- /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/skins/referencedatagridfield/referencedatagrid_block_cell.pt	(revision 2297)
+++ /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/skins/referencedatagridfield/referencedatagrid_block_cell.pt	(revision 2297)
@@ -0,0 +1,38 @@
+<html xmlns="http://www.w3.org/1999/xhtml"
+      xmlns:tal="http://xml.zope.org/namespaces/tal"
+      xmlns:metal="http://xml.zope.org/namespaces/metal"
+      xmlns:i18n="http://xml.zope.org/namespaces/i18n"
+      i18n:domain="plone">
+<body>
+    <!-- VIEW -->
+    <metal:view_cell_macro define-macro="view_cell">                
+      <div tal:content="cell_value" />
+    </metal:view_cell_macro>
+
+    <!-- EDIT -->
+    <metal:edit_cell_macro define-macro="edit_cell">
+       <input style="width: 100%" name="myfield.name:records"
+	      tal:define="attribs python:column_definition.getAttributesData(rows);"
+              tal:attributes="name string:${fieldName}.${column}:records;
+                          id string:${column}_${fieldId};
+                          value cell_value;
+                          onchange eventHandler;
+                          readOnly python:attribs['read_only'];
+			  class python:attribs['style_class'];
+			  "
+	   type="text" />
+    </metal:edit_cell_macro>
+    
+   <!-- EMPTY EDIT -->
+    <metal:edit_empty_cell_macro define-macro="edit_empty_cell">
+       <input style="width: 100%" name="myfield.name:records" 
+                       tal:attributes="name string:${fieldName}.${column}:records;
+                                       id string:${column}_${fieldId};
+                                       value python: column_definition.getDefault(here);
+                                       onchange eventHandler;
+                                       "
+                       type="text" />
+    </metal:edit_empty_cell_macro>
+    
+</body>
+</html>
Index: /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/skins/referencedatagridfield/referencedatagrid_hidden_cell.pt
===================================================================
--- /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/skins/referencedatagridfield/referencedatagrid_hidden_cell.pt	(revision 2297)
+++ /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/skins/referencedatagridfield/referencedatagrid_hidden_cell.pt	(revision 2297)
@@ -0,0 +1,58 @@
+<html xmlns="http://www.w3.org/1999/xhtml"
+      xmlns:tal="http://xml.zope.org/namespaces/tal"
+      xmlns:metal="http://xml.zope.org/namespaces/metal"
+      xmlns:i18n="http://xml.zope.org/namespaces/i18n"
+      i18n:domain="plone">
+<body>
+    <!-- VIEW -->
+    <metal:view_cell_macro define-macro="view_cell">                
+      <div tal:content="cell_value" />
+    </metal:view_cell_macro>
+
+    <!-- EDIT -->
+    <metal:edit_cell_macro define-macro="edit_cell">
+       <tal:visible condition="python:columnd['visible']">
+       <input style="width: 100%" name="myfield.name:records"
+                       tal:attributes="name string:${fieldName}.${column}:records;
+                                       id string:${column}_${fieldId};
+                                       value cell_value;
+                                       onchange eventHandler;
+                                       "
+                       type="text" />
+       </tal:visible>
+       <tal:hidden condition="python:not columnd['visible']">
+       <input style="width: 100%" name="myfield.name:records"
+                       tal:attributes="name string:${fieldName}.${column}:records;
+                                       id string:${column}_${fieldId};
+                                       value cell_value;
+                                       onchange eventHandler;
+                                       "
+                       type="hidden" />
+       </tal:hidden>
+    </metal:edit_cell_macro>
+    
+   <!-- EMPTY EDIT -->
+    <metal:edit_empty_cell_macro define-macro="edit_empty_cell">
+
+       <tal:visible condition="python:columnd['visible']">
+       <input style="width: 100%" name="myfield.name:records" 
+                       tal:attributes="name string:${fieldName}.${column}:records;
+                                       id string:${column}_${fieldId};        
+                                       value python: column_definition.getDefault(here);
+                                       onchange eventHandler;
+                                       "
+                       type="text" />
+       </tal:visible>
+       <tal:hidden condition="python:not columnd['visible']">
+       <input style="width: 100%" name="myfield.name:records" 
+                       tal:attributes="name string:${fieldName}.${column}:records;
+                                       id string:${column}_${fieldId};
+                                       value python: column_definition.getDefault(here);
+                                       onchange eventHandler;
+                                       "
+                       type="hidden" />
+       </tal:hidden>
+    </metal:edit_empty_cell_macro>
+
+</body>
+</html>
Index: /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/skins/referencedatagridfield/referencedatagrid_styled_cell.pt
===================================================================
--- /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/skins/referencedatagridfield/referencedatagrid_styled_cell.pt	(revision 2297)
+++ /quintagroup.referencedatagridfield/trunk/quintagroup/referencedatagridfield/skins/referencedatagridfield/referencedatagrid_styled_cell.pt	(revision 2297)
@@ -0,0 +1,39 @@
+<html xmlns="http://www.w3.org/1999/xhtml"
+      xmlns:tal="http://xml.zope.org/namespaces/tal"
+      xmlns:metal="http://xml.zope.org/namespaces/metal"
+      xmlns:i18n="http://xml.zope.org/namespaces/i18n"
+      i18n:domain="plone">
+<body>
+    <!-- VIEW -->
+    <metal:view_cell_macro define-macro="view_cell">                
+      <div tal:content="cell_value" />
+    </metal:view_cell_macro>
+
+    <!-- EDIT -->
+    <metal:edit_cell_macro define-macro="edit_cell">
+       <input style="width: 100%" name="myfield.name:records"
+	      tal:define="attribs python:column_definition.getAttributes(rows);"
+              tal:attributes="name string:${fieldName}.${column}:records;
+                          id string:${column}_${fieldId};
+                          value cell_value;
+			  class python:attribs['class'];
+			  onblur python:attribs['onblur'];
+			  onfocus python:attribs['onfocus'];
+			  initial_value cell_value;
+			  "
+	   type="text" />
+    </metal:edit_cell_macro>
+    
+   <!-- EMPTY EDIT -->
+    <metal:edit_empty_cell_macro define-macro="edit_empty_cell">
+       <input style="width: 100%" name="myfield.name:records" 
+                       tal:attributes="name string:${fieldName}.${column}:records;
+                                       id string:${column}_${fieldId};
+                                       value python: column_definition.getDefault(here);
+                                       onchange eventHandler;
+                                       "
+                       type="text" />
+    </metal:edit_empty_cell_macro>
+    
+</body>
+</html>