Index: quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/browser/newssitemapview.py
===================================================================
--- quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/browser/newssitemapview.py	(revision 2397)
+++ quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/browser/newssitemapview.py	(revision 2398)
@@ -18,4 +18,6 @@
         ('title', lambda x:x.Title),
         ('language', lambda x:x.Language),
+        ('access', lambda x:x.gsm_access),
+        ('genres', lambda x:x.gsm_genres),
     )
 
Index: quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/browser/templates/newssitemapview.pt
===================================================================
--- quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/browser/templates/newssitemapview.pt	(revision 2397)
+++ quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/browser/templates/newssitemapview.pt	(revision 2398)
@@ -16,4 +16,8 @@
         <n:publication_date tal:content="result/publication_date">2006-08-14</n:publication_date>
         <n:keywords tal:content="result/keywords">Business, Mergers, Acquisitions</n:keywords>
+        <n:access tal:condition="result/access" tal:content="result/access">
+	  Whether an article is available to all readers</n:access>
+        <n:genres tal:condition="result/genres" tal:content="result/genres">
+	  Specifies one or more properties for an article</n:genres>
     </n:news>
   </url>
Index: quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/catalog.py
===================================================================
--- quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/catalog.py	(revision 2398)
+++ quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/catalog.py	(revision 2398)
@@ -0,0 +1,37 @@
+from zope.interface import Interface
+
+#for compatibility with older plone versions 
+try:
+    from plone.indexer.decorator import indexer 
+    IS_NEW = True
+except:
+    IS_NEW = False
+    class IDummyInterface:pass
+    class indexer:
+
+         def __init__(self, *interfaces):
+            self.interfaces = IDummyInterface,
+
+         def __call__(self, callable):
+             callable.__component_adapts__ = self.interfaces
+             callable.__implemented__ = Interface
+             return callable
+    
+@indexer(Interface)
+def gsm_access(obj, **kwargs):
+    """Return value for access tag for Google's News Sitemaps.
+    """
+    return obj.getProperty("gsm_access", "")
+
+@indexer(Interface)
+def gsm_genres(obj, **kwargs):
+    """Return value for genres tag for Google's News Sitemaps.
+    """
+    return obj.getProperty("gsm_genres", "")
+
+
+#for compatibility with older plone versions 
+if not IS_NEW:
+    from Products.CMFPlone.CatalogTool import registerIndexableAttribute
+    map(registerIndexableAttribute, ('gsm_access', 'gsm_genres'),
+                                    (gsm_access, gsm_genres))
Index: quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/configure.zcml
===================================================================
--- quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/configure.zcml	(revision 2397)
+++ quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/configure.zcml	(revision 2398)
@@ -17,4 +17,8 @@
     <include package=".browser" />
     <include package=".content" />
+
+    <!-- Register gsm_* adapters for catalog -->
+    <adapter name="gsm_access" factory=".catalog.gsm_access" />
+    <adapter name="gsm_genres" factory=".catalog.gsm_genres" />
 
     <!-- Register the installation GenericSetup extension profile -->
Index: quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/profiles/default/catalog.xml
===================================================================
--- quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/profiles/default/catalog.xml	(revision 2397)
+++ quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/profiles/default/catalog.xml	(revision 2398)
@@ -3,4 +3,6 @@
  <column value="canonical_link" update="True" />
  <column value="Language" update="True" />
+ <column value="gsm_access" update="True" />
+ <column value="gsm_genres" update="True" />
 </object>
 