Index: quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/configure.zcml
===================================================================
--- quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/configure.zcml	(revision 2416)
+++ quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/configure.zcml	(revision 2417)
@@ -52,4 +52,12 @@
       />
 
+    <genericsetup:registerProfile
+      name="upgrade_1_2_to_1_3"
+      title="Upgrade Plone Google Sitemaps from 1.2 to 1.3"
+      directory="profiles/upgrade_1_2_to_1_3"
+      description=""
+      provides="Products.GenericSetup.interfaces.EXTENSION"
+      />
+
     <genericsetup:upgradeStep
       title="Upgrade Plone Google Sitemaps 1.0 to 1.1"
@@ -72,4 +80,14 @@
       />
 
+    <genericsetup:upgradeStep
+      title="Upgrade Plone Google Sitemaps 1.2 to 1.3"
+      description="Upgrade quintagroup.plonegooglesitemaps 1.2 to 1.3"
+      source="*"
+      destination="1.3"
+      handler=".upgrades.upgrade_1_2_to_1_3"
+      sortkey="3"
+      profile="quintagroup.plonegooglesitemaps:default"
+      />
+
     <!-- -*- extra stuff goes here -*- -->
 
Index: quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/profiles/upgrade_1_2_to_1_3/catalog.xml
===================================================================
--- quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/profiles/upgrade_1_2_to_1_3/catalog.xml	(revision 2417)
+++ quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/profiles/upgrade_1_2_to_1_3/catalog.xml	(revision 2417)
@@ -0,0 +1,8 @@
+<?xml version="1.0"?>
+<object name="portal_catalog" meta_type="Plone Catalog Tool">
+ <column value="Language" update="True" />
+ <column value="gsm_access" update="True" />
+ <column value="gsm_genres" update="True" />
+</object>
+
+
Index: quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/profiles/upgrade_1_2_to_1_3/componentregistry.xml
===================================================================
--- quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/profiles/upgrade_1_2_to_1_3/componentregistry.xml	(revision 2417)
+++ quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/profiles/upgrade_1_2_to_1_3/componentregistry.xml	(revision 2417)
@@ -0,0 +1,11 @@
+<?xml version="1.0"?>
+<componentregistry purge="False">
+  <adapters>
+    <adapter
+      name=""
+      for_="Products.ATContentTypes.interface.IATNewsItem"
+      provides="archetypes.schemaextender.interfaces.ISchemaExtender"
+      factory="quintagroup.plonegooglesitemaps.content.newsextender.NewsExtender"/>
+  </adapters>
+</componentregistry>
+
Index: quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/profiles/upgrade_1_2_to_1_3/metadata.xml
===================================================================
--- quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/profiles/upgrade_1_2_to_1_3/metadata.xml	(revision 2417)
+++ quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/profiles/upgrade_1_2_to_1_3/metadata.xml	(revision 2417)
@@ -0,0 +1,4 @@
+<?xml version="1.0"?>
+<metadata>
+  <version>1.3</version>
+</metadata>
Index: quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/upgrades.py
===================================================================
--- quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/upgrades.py	(revision 2416)
+++ quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/upgrades.py	(revision 2417)
@@ -40,5 +40,4 @@
     setuptool.runAllImportStepsFromProfile('profile-quintagroup.plonegooglesitemaps:upgrade_1_0_to_1_1')
 
-
 def upgrade_1_1_to_1_2(setuptool):
     """ Upgrade quintagroup.plonegooglesitemaps from version 1.1 to 1.2.
@@ -47,2 +46,7 @@
     migrateCanonical(plone_tools)
     setuptool.runAllImportStepsFromProfile('profile-quintagroup.plonegooglesitemaps:upgrade_1_1_to_1_2')
+
+def upgrade_1_2_to_1_3(setuptool):
+    """ Upgrade quintagroup.plonegooglesitemaps from version 1.2 to 1.3.
+    """
+    setuptool.runAllImportStepsFromProfile('profile-quintagroup.plonegooglesitemaps:upgrade_1_2_to_1_3')