Index: quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/configure.zcml
===================================================================
--- quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/configure.zcml	(revision 2423)
+++ quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/configure.zcml	(revision 2425)
@@ -2,5 +2,4 @@
     xmlns="http://namespaces.zope.org/zope"
     xmlns:five="http://namespaces.zope.org/five"
-    xmlns:genericsetup="http://namespaces.zope.org/genericsetup"
     xmlns:cmf="http://namespaces.zope.org/cmf"
     i18n_domain="quintagroup.plonegooglesitemaps">
@@ -19,74 +18,5 @@
     <include package=".content" />
 
-    <!-- Register the installation GenericSetup extension profile -->
-    <genericsetup:registerProfile
-      name="default"
-      title="Plone Google Sitemaps"
-      directory="profiles/default"
-      description=""
-      provides="Products.GenericSetup.interfaces.EXTENSION"
-      />
-
-    <genericsetup:registerProfile
-      name="uninstall"
-      title="Uninstall Plone Google Sitemaps"
-      directory="profiles/uninstall"
-      description=""
-      provides="Products.GenericSetup.interfaces.EXTENSION"
-      />
-
-    <genericsetup:registerProfile
-      name="upgrade_1_0_to_1_1"
-      title="Upgrade Plone Google Sitemaps from 1.0 to 1.1"
-      directory="profiles/upgrade_1_0_to_1_1"
-      description=""
-      provides="Products.GenericSetup.interfaces.EXTENSION"
-      />
-
-    <genericsetup:registerProfile
-      name="upgrade_1_1_to_1_2"
-      title="Upgrade Plone Google Sitemaps from 1.1 to 1.2"
-      directory="profiles/upgrade_1_1_to_1_2"
-      description=""
-      provides="Products.GenericSetup.interfaces.EXTENSION"
-      />
-
-    <genericsetup:registerProfile
-      name="upgrade_1_2_to_1_3"
-      title="Upgrade Plone Google Sitemaps from 1.2 to 1.3"
-      directory="profiles/upgrade_1_2_to_1_3"
-      description=""
-      provides="Products.GenericSetup.interfaces.EXTENSION"
-      />
-
-    <genericsetup:upgradeStep
-      title="Upgrade Plone Google Sitemaps 1.0 to 1.1"
-      description="Upgrade quintagroup.plonegooglesitemaps 1.0 to 1.1"
-      source="*"
-      destination="1.1"
-      handler=".upgrades.upgrade_1_0_to_1_1"
-      sortkey="1"
-      profile="quintagroup.plonegooglesitemaps:default"
-      />
-
-    <genericsetup:upgradeStep
-      title="Upgrade Plone Google Sitemaps 1.1 to 1.2"
-      description="Upgrade quintagroup.plonegooglesitemaps 1.1 to 1.2"
-      source="*"
-      destination="1.2"
-      handler=".upgrades.upgrade_1_1_to_1_2"
-      sortkey="2"
-      profile="quintagroup.plonegooglesitemaps:default"
-      />
-
-    <genericsetup:upgradeStep
-      title="Upgrade Plone Google Sitemaps 1.2 to 1.3"
-      description="Upgrade quintagroup.plonegooglesitemaps 1.2 to 1.3"
-      source="*"
-      destination="1.3"
-      handler=".upgrades.upgrade_1_2_to_1_3"
-      sortkey="3"
-      profile="quintagroup.plonegooglesitemaps:default"
-      />
+    <include file="profiles.zcml" />
 
     <!-- -*- extra stuff goes here -*- -->
Index: quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/profiles.zcml
===================================================================
--- quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/profiles.zcml	(revision 2425)
+++ quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/profiles.zcml	(revision 2425)
@@ -0,0 +1,77 @@
+<configure
+    xmlns="http://namespaces.zope.org/zope"
+    xmlns:genericsetup="http://namespaces.zope.org/genericsetup"
+    i18n_domain="quintagroup.plonegooglesitemaps">
+
+    <!-- Register the installation GenericSetup extension profile -->
+    <genericsetup:registerProfile
+      name="default"
+      title="Plone Google Sitemaps"
+      directory="profiles/default"
+      description=""
+      provides="Products.GenericSetup.interfaces.EXTENSION"
+      />
+
+    <genericsetup:registerProfile
+      name="uninstall"
+      title="Uninstall Plone Google Sitemaps"
+      directory="profiles/uninstall"
+      description=""
+      provides="Products.GenericSetup.interfaces.EXTENSION"
+      />
+
+    <genericsetup:registerProfile
+      name="upgrade_1_0_to_1_1"
+      title="Upgrade Plone Google Sitemaps from 1.0 to 1.1"
+      directory="profiles/upgrade_1_0_to_1_1"
+      description=""
+      provides="Products.GenericSetup.interfaces.EXTENSION"
+      />
+
+    <genericsetup:registerProfile
+      name="upgrade_1_1_to_1_2"
+      title="Upgrade Plone Google Sitemaps from 1.1 to 1.2"
+      directory="profiles/upgrade_1_1_to_1_2"
+      description=""
+      provides="Products.GenericSetup.interfaces.EXTENSION"
+      />
+
+    <genericsetup:registerProfile
+      name="upgrade_1_2_to_1_3"
+      title="Upgrade Plone Google Sitemaps from 1.2 to 1.3"
+      directory="profiles/upgrade_1_2_to_1_3"
+      description=""
+      provides="Products.GenericSetup.interfaces.EXTENSION"
+      />
+
+    <genericsetup:upgradeStep
+      title="Upgrade Plone Google Sitemaps 1.0 to 1.1"
+      description="Upgrade quintagroup.plonegooglesitemaps 1.0 to 1.1"
+      source="*"
+      destination="1.1"
+      handler=".upgrades.upgrade_1_0_to_1_1"
+      sortkey="1"
+      profile="quintagroup.plonegooglesitemaps:default"
+      />
+
+    <genericsetup:upgradeStep
+      title="Upgrade Plone Google Sitemaps 1.1 to 1.2"
+      description="Upgrade quintagroup.plonegooglesitemaps 1.1 to 1.2"
+      source="*"
+      destination="1.2"
+      handler=".upgrades.upgrade_1_1_to_1_2"
+      sortkey="2"
+      profile="quintagroup.plonegooglesitemaps:default"
+      />
+
+    <genericsetup:upgradeStep
+      title="Upgrade Plone Google Sitemaps 1.2 to 1.3"
+      description="Upgrade quintagroup.plonegooglesitemaps 1.2 to 1.3"
+      source="*"
+      destination="1.3"
+      handler=".upgrades.upgrade_1_2_to_1_3"
+      sortkey="3"
+      profile="quintagroup.plonegooglesitemaps:default"
+      />
+
+</configure>