Index: quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/skins/plonegooglesitemaps/gsm_create_verify_file.cpy
===================================================================
--- quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/skins/plonegooglesitemaps/gsm_create_verify_file.cpy	(revision 1616)
+++ quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/skins/plonegooglesitemaps/gsm_create_verify_file.cpy	(revision 2518)
@@ -5,21 +5,19 @@
 ##bind script=script
 ##bind subpath=traverse_subpath
-##parameters=verify_filename
+##parameters=
 ##title=Create file for verification
 ##
 
 from Products.CMFCore.utils import getToolByName
-from quintagroup.plonegooglesitemaps.utils import BadRequestException
 portal = getToolByName(context, 'portal_url').getPortalObject()
-try:
-    portal.manage_addFile(verify_filename,title='Verification File')
-    portal[verify_filename].manage_addProperty('CreatedBy','quintagroupt.plonegooglesitemaps','string')
-except BadRequestException:
-    pass
+sitemap_view = portal.restrictedTraverse("sitemap_settings")
+isAdded, res = sitemap_view.uploadVerificationFile(context.REQUEST)
+if isAdded:
+    state.set(status="success",
+              portal_status_message = 'Plone Google Sitemap updated.')
 else:
-    props = getToolByName(context,'portal_properties').googlesitemap_properties
-    vfiles = list(props.getProperty('verification_filenames',[]))
-    vfiles.append(verify_filename)
-    props.manage_changeProperties(verification_filenames = vfiles)
+    state.set(status="failure",
+              portal_status_message = 'Error on file upload: "%s"' % res)
+    #context.plone_utils.addPortalMessage(_(u'Please correct the indicated errors.'), 'error')
 
-return state.set(portal_status_message = 'Plone Google Sitemap updated.')
+return state
Index: quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/skins/plonegooglesitemaps/prefs_gsm_verification.cpt
===================================================================
--- quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/skins/plonegooglesitemaps/prefs_gsm_verification.cpt	(revision 1616)
+++ quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/skins/plonegooglesitemaps/prefs_gsm_verification.cpt	(revision 2518)
@@ -44,19 +44,21 @@
                 </a>
 
-                <form tal:define="vfiles view/getVerificationFiles;
+                <form action="manage_addFile" method="post" enctype="multipart/form-data"
+                      tal:define="vfiles view/getVerificationFiles;
                                   step1 python:test(vfiles, 'discreet', '');
-                                  step2 python:test(not vfiles, 'discreet', '')">
+                                  step2 python:test(not vfiles, 'discreet', '')"
+                      tal:attributes="action string:$here_url/$template_id">
                     <ol>
                         <li tal:attributes="class step1">
                             Go to <a href=""
-                                        tal:attributes="href string: https://www.google.com/webmasters/sitemaps/verify?siteUrl=${portal/absolute_url}&hl=en"
+                                        tal:attributes="href string: https://www.google.com/webmasters/verification/verification?siteUrl=${portal/absolute_url}&hl=en"
                                         tal:omit-tag="step1">
-                        site verification page</a> and login if necessary.
+                        site verification page</a> and login if necessary. If <strong>Verification status</strong> is <i>Not Verified</i>, from <strong>Verification method</strong> selection box chose <i>Upload an HTML file</i> and download generated file to you system (you should know where the file is downloaded).
                         </li>
-                        <li tal:attributes="class step1">Provide verification file name:
-                            <p><input name="verify_filename" id="verify_filename" type="text"></p>
+                        <li tal:attributes="class step1">Select verification file:
+                            <p><input name="verification_file" id="verify_filename" type="file"></p>
                         </li>
                         <li tal:attributes="class step1">
-                                <input name="form.button.CreateFile" id="create_file" type="submit" value="Create verification file"/>
+                                <input name="form.button.CreateFile" id="create_file" type="submit" value="Upload verification file to the site"/>
                                 <input type="hidden" name="form.submitted" value="1" />
                         </li>