Index: quintagroup.themetemplate/trunk/quintagroup.themetemplate.egg-info/PKG-INFO
===================================================================
--- quintagroup.themetemplate/trunk/quintagroup.themetemplate.egg-info/PKG-INFO	(revision 1364)
+++ quintagroup.themetemplate/trunk/quintagroup.themetemplate.egg-info/PKG-INFO	(revision 2569)
@@ -1,5 +1,5 @@
 Metadata-Version: 1.0
 Name: quintagroup.themetemplate
-Version: 0.2.2
+Version: 0.23
 Summary: Quintagroup theme template for Plone 3 with nested namespace
 Home-page: http://svn.quintagroup.com/products/quintagroup.themetemplate
@@ -51,19 +51,20 @@
         Use `paster create` command for that::
         
-        >>> paster('create -t qplone3_theme plone.example --no-interactive --overwrite')
-        paster create -t qplone3_theme plone.example --no-interactive
+        >>> paster('create -t qplone3_theme quintagroup.theme.example --no-interactive --overwrite')
+        paster create -t qplone3_theme quintagroup.theme.example --no-interactive
         ...
         
         You got standard python package content with
         - *quintagroup* upper level namespace.
-        - *plone.example-configure.zcml* - zcml file
+        - *quintagroup.theme.example-configure.zcml* - zcml file
         for adding into package-includes directory
         
         Check that::
         
-        >>> package_dir = 'plone.example'
-        >>> objects = ('setup.py', 'quintagroup', 'plone.example-configure.zcml')
-        >>> [True for o in objects if o in os.listdir(package_dir)]
-        [True, True, True]
+        >>> package_dir = 'quintagroup.theme.example'
+        >>> objects = ['setup.py', 'quintagroup', 'quintagroup.theme.example-configure.zcml']
+        >>> objects.sort()
+        >>> [o for o in objects if o in os.listdir(package_dir)]
+        ['quintagroup', 'quintagroup.theme.example-configure.zcml', 'setup.py']
         
         
@@ -72,11 +73,11 @@
         By default - theme is placed in
         
-        quintagroup.theme.<package name without dot> namespace
-        
-        in our case - quintagroup.theme.ploneexample
+        quintagroup.theme.<3rd part of dotted package name> namespace
+        
+        in our case - quintagroup.theme.example
         
         So check namespaces::
         
-        >>> theme_namespace = os.path.join(package_dir,'quintagroup','theme','ploneexample')
+        >>> theme_namespace = os.path.join(package_dir,'quintagroup','theme','example')
         >>> os.path.isdir(theme_namespace)
         True
@@ -137,8 +138,8 @@
         
         Create the same theme with your own skin name and check this
-        >>> paster('create -t qplone3_theme plone.example --no-interactive --overwrite --config=theme_config.conf')
+        >>> paster('create -t qplone3_theme quintagroup.theme.example --no-interactive --overwrite --config=theme_config.conf')
         paster create ...
         >>> cd(package_dir)
-        >>> cat('quintagroup/theme/ploneexample/browser/configure.zcml')
+        >>> cat('quintagroup/theme/example/browser/configure.zcml')
         <configure
         ...
@@ -158,5 +159,5 @@
         
         But check whether I am right ...
-        >>> cd('quintagroup/theme/ploneexample')
+        >>> cd('quintagroup/theme/example')
         >>> ls('skins')
         README.txt
@@ -187,4 +188,5 @@
         >>> cat('skins.xml')
         <?xml version="1.0"?>
+        ...
         <object name="portal_skins" ...
         default_skin="My Theme Name">
@@ -202,7 +204,7 @@
         <?xml version="1.0"?>
         ...
-        <import-step id="quintagroup.theme.ploneexample.various"
-        ...
-        handler="quintagroup.theme.ploneexample.setuphandlers.setupVarious"
+        <import-step id="quintagroup.theme.example.various"
+        ...
+        handler="quintagroup.theme.example.setuphandlers.setupVarious"
         ...
         </import-step>
@@ -284,4 +286,5 @@
         >>> cat('profiles/default/skins.xml')
         <?xml version="1.0"?>
+        ...
         <object name="portal_skins" allow_any="False" cookie_persistence="False"
         default_skin="My Theme Name">
@@ -289,6 +292,6 @@
         <object name="skin_layer"
         meta_type="Filesystem Directory View"
-        directory="quintagroup.theme.ploneexample:skins/skin_layer"/>
-        <BLANKLINE>
+        directory="quintagroup.theme.example:skins/skin_layer"/>
+        ...
         <skin-path name="My Theme Name" based-on="Plone Default">
         ...
@@ -317,4 +320,5 @@
         >>> paster('addcontent --no-interactive portlet')
         paster addcontent --no-interactive portlet
+        ...
         Recursing into portlets
         ...
@@ -340,5 +344,5 @@
         ...
         <plone:portlet
-        name="quintagroup.theme.ploneexample.portlets.ExamplePortlet"
+        name="quintagroup.theme.example.portlets.ExamplePortlet"
         interface=".exampleportlet.IExamplePortlet"
         assignment=".exampleportlet.Assignment"
@@ -357,7 +361,8 @@
         ...
         <portlet
-        addview="quintagroup.theme.ploneexample.portlets.ExamplePortlet"
+        addview="quintagroup.theme.example.portlets.ExamplePortlet"
         title="Example portlet"
         description=""
+        i18n:attributes="title; description"
         />
         ...
@@ -400,5 +405,5 @@
         ...
         <browser:resourceDirectory
-        name="quintagroup.theme.ploneexample.stylesheets"
+        name="quintagroup.theme.example.stylesheets"
         directory="stylesheets"
         layer=".interfaces.IThemeSpecific"
@@ -417,5 +422,5 @@
         <BLANKLINE>
         <stylesheet title=""
-        id="++resource++quintagroup.theme.ploneexample.stylesheets/main.css"
+        id="++resource++quintagroup.theme.example.stylesheets/main.css"
         media="screen" rel="stylesheet" rendering="inline"
         cacheable="True" compression="safe" cookable="True"
@@ -475,5 +480,5 @@
         <BLANKLINE>
         <stylesheet title=""
-        id="++resource++quintagroup.theme.ploneexample.stylesheets/main.css"
+        id="++resource++quintagroup.theme.example.stylesheets/main.css"
         media="screen" rel="stylesheet" rendering="inline"
         cacheable="True" compression="safe" cookable="True"
@@ -515,5 +520,5 @@
         ...
         <browser:resourceDirectory
-        name="quintagroup.theme.ploneexample.scripts"
+        name="quintagroup.theme.example.scripts"
         directory="scripts"
         layer=".interfaces.IThemeSpecific"
@@ -532,5 +537,5 @@
         ...
         <javascript
-        id="++resource++quintagroup.theme.ploneexample.scripts/foo.js"
+        id="++resource++quintagroup.theme.example.scripts/foo.js"
         inline="False" cacheable="True" compression="safe"
         cookable="True" enabled="1"
@@ -595,5 +600,5 @@
         ...
         <browser:viewlet
-        name="quintagroup.theme.ploneexample.example"
+        name="quintagroup.theme.example.example"
         manager="plone.app.layout.viewlets.interfaces.IPortalHeader"
         class=".viewlets.Example"
@@ -617,5 +622,5 @@
         skinname="My Theme Name" >
         ...
-        <viewlet name="quintagroup.theme.ploneexample.example" insert-after="*" />
+        <viewlet name="quintagroup.theme.example.example" insert-after="*" />
         <BLANKLINE>
         </order>
@@ -696,5 +701,5 @@
         
         2. import_steps.xml was added in profiles/import_zexps directory,
-        which contains additional *quintagroup.theme.ploneexample.import_zexps* step.
+        which contains additional *quintagroup.theme.example.import_zexps* step.
         
         >>> 'import_zexps' in os.listdir('profiles')
@@ -706,7 +711,7 @@
         <?xml version="1.0"?>
         ...
-        <import-step id="quintagroup.theme.ploneexample.import_zexps"
+        <import-step id="quintagroup.theme.example.import_zexps"
         version="..."
-        handler="quintagroup.theme.ploneexample.setuphandlers.importZEXPs"
+        handler="quintagroup.theme.example.setuphandlers.importZEXPs"
         title="My Theme Name: Import zexps objects">
         Import zexp objects into portal on My Theme Name theme installation
Index: quintagroup.themetemplate/trunk/quintagroup.themetemplate.egg-info/SOURCES.txt
===================================================================
--- quintagroup.themetemplate/trunk/quintagroup.themetemplate.egg-info/SOURCES.txt	(revision 1364)
+++ quintagroup.themetemplate/trunk/quintagroup.themetemplate.egg-info/SOURCES.txt	(revision 2569)
@@ -13,4 +13,5 @@
 quintagroup.themetemplate.egg-info/requires.txt
 quintagroup.themetemplate.egg-info/top_level.txt
+quintagroup/themetemplate/README.txt
 quintagroup/themetemplate/__init__.py
 quintagroup/themetemplate/qplone3_theme.py