Index: quintagroup.themetemplate/trunk/quintagroup/themetemplate/README.txt
===================================================================
--- quintagroup.themetemplate/trunk/quintagroup/themetemplate/README.txt	(revision 2571)
+++ quintagroup.themetemplate/trunk/quintagroup/themetemplate/README.txt	(revision 2573)
@@ -9,5 +9,5 @@
 
 quintagroup.themetemplate package is used for development of all Quintagroup themes 
-for Plone 3 (http://skins.quintagroup.com).
+for Plone 3 at http://skins.quintagroup.com.
 
 Contents
@@ -27,9 +27,9 @@
 After that you can extend theme package by the following elements:
 
-  - skin-layer(s)
-  - portlet(s)
-  - viewlet(s)
-  - css, js resource(s)
-  - objects in zexp files
+- skin-layer(s)
+- portlet(s)
+- viewlet(s)
+- css, js resource(s)
+- objects in zexp files
 
 Creation of a package is performed with *paster create* PasteScript command.
@@ -47,8 +47,8 @@
     ...
 
-You got standard python package content with 
-  - *quintagroup* upper level namespace.
-  - *quintagroup.theme.example-configure.zcml* - zcml file 
-    for adding into package-includes directory
+You got standard python package content with
+
+- *quintagroup* upper level namespace.
+- *quintagroup.theme.example-configure.zcml* - zcml file for adding into package-includes directory
 
 Check that::
@@ -63,7 +63,5 @@
 *qplone3_theme* template - creates theme with nested namespace.
 
-By default - theme is placed in
-
-    quintagroup.theme.<3rd part of dotted package name> namespace
+By default - theme is placed in *quintagroup.theme.<3rd part of dotted package name> namespace*
 
 in our case - quintagroup.theme.example
@@ -93,7 +91,8 @@
 
 Browser directory contains:
-  - 'templates' resource directory
-  - interfaces.py module with IThemeSpecific marker interface
-  - configure.zcml, with registered theme marker interface
+
+- 'templates' resource directory
+- interfaces.py module with IThemeSpecific marker interface
+- configure.zcml, with registered theme marker interface::
 
     >>> ls('browser')
@@ -122,5 +121,6 @@
 creation you can point out your own name. Check this ...
 
-First create configuration file with different skin name
+First create configuration file with different skin name::
+
     >>> conf_data = """
     ... [pastescript]
@@ -129,5 +129,6 @@
     >>> file('theme_config.conf','w').write(conf_data)
 
-Create the same theme with your own skin name and check this
+Create the same theme with your own skin name and check this::
+
     >>> paster('create -t qplone3_theme quintagroup.theme.example --no-interactive --overwrite --config=theme_config.conf')
     paster create ...
@@ -145,10 +146,11 @@
 
 *skins* directory
-------------------------
+-----------------
 
 It contains only README.txt file and NO SKIN LAYERS YET.
 This is a job for localcommand ;)
 
-But check whether I am right ...
+But check whether I am right ...::
+
     >>> cd('quintagroup/theme/example')
     >>> ls('skins')
@@ -156,7 +158,9 @@
 
 
-*profiles* directory.
---------------------------------
-There is 'default' and uninstall profiles inside
+*profiles* directory
+--------------------
+
+There is 'default' and uninstall profiles inside::
+
     >>> 'default' in os.listdir('profiles')
     True
@@ -165,6 +169,7 @@
 
 There are the following items in default profile:
- - import_steps.xml - for any reason.
- - skins.xml - for registering skins directory
+
+- import_steps.xml - for any reason.
+- skins.xml - for registering skins directory::
 
     >>> cd('profiles/default')
@@ -176,5 +181,5 @@
 *skins.xml* profile makes your theme default on installation
 and uses layers list from 'Plone Default' for our theme,
-without any new layers (yet).
+without any new layers (yet)::
 
     >>> cat('skins.xml')
@@ -191,5 +196,5 @@
 
 *import_steps.xml* - call _setupVarious_ function from
-_setuphandlers.py_ module for additional installation steps.
+_setuphandlers.py_ module for additional installation steps::
 
     >>> cat('import_steps.xml')
@@ -203,5 +208,6 @@
     ...
 
-Look at setuphandlers.py module
+Look at setuphandlers.py module::
+
     >>> cd('../..')
     >>> cat('setuphandlers.py')
@@ -218,11 +224,11 @@
 ZopeSkel template) with additional useful stuff:
 
-  - skin layers
-  - views
-  - viewlets
-  - portlets
-  - css
-  - javascripts
-  - objects in zexp files
+- skin layers
+- views
+- viewlets
+- portlets
+- css
+- javascripts
+- objects in zexp files
 
 So, in qplone3_theme generated package you can use *addcontent* ZopeSkel
@@ -231,5 +237,5 @@
 IMPORTANT TO NOTE: localcommand (addcontent in our case) should be
 called in any subdirectory of the generated theme package. And it won't
-work outside this package..
+work outside this package::
 
     >>> paster('addcontent -a')
@@ -259,5 +265,5 @@
 =================
 
-For that case use *skin_layer* subtemplate with *addcontent* local command
+For that case use *skin_layer* subtemplate with *addcontent* local command::
 
     >>> paster('addcontent --no-interactive skin_layer')
@@ -267,5 +273,5 @@
 
 This command adds NEW 'skin_layer' (default name) directory to _skins_ directory,
-with only CONTENT.txt file inside.
+with only CONTENT.txt file inside::
 
     >>> 'skin_layer' in os.listdir('skins')
@@ -274,5 +280,5 @@
     CONTENT.txt
 
-*skins.xml* profile is also updated:
+*skins.xml* profile is also updated::
 
     >>> cat('profiles/default/skins.xml')
@@ -295,12 +301,13 @@
 
 We can see, that: 
-  - skin_layer directory was registered as Filesystem Directory View
-  - skin_layer Filesystem Directory View was added to our theme layers list
+
+- skin_layer directory was registered as Filesystem Directory View
+- skin_layer Filesystem Directory View was added to our theme layers list
 
 
 Adding PORTLET
-==========================
-
-Only initialization files are available in portlets directory before adding new portlet.
+==============
+
+Only initialization files are available in portlets directory before adding new portlet::
 
     >>> ls('portlets')
@@ -308,5 +315,5 @@
     configure.zcml
 
-Add portlet with *portlet* subtemplate.
+Add portlet with *portlet* subtemplate::
 
     >>> paster('addcontent --no-interactive portlet')
@@ -318,5 +325,5 @@
 After executing this local command ...
 
-configure.zcml file in the theme root directory - includes portlets registry:
+configure.zcml file in the theme root directory - includes portlets registry::
 
     >>> cat('configure.zcml')
@@ -326,10 +333,12 @@
     ...
 
-exampleportlet.pt template and exampleportlet.py script added to portlets directory.
-    >>> files = ('exampleportlet.pt', 'exampleportlet.py')
+exampleportlet.pt template and exampleportlet.py script added to portlets directory::
+  
+  >>> files = ('exampleportlet.pt', 'exampleportlet.py')
     >>> [True for d in files if d in os.listdir('portlets')]
     [True, True]
 
-And portlets/configure.zcml - register new portlet
+And portlets/configure.zcml - register new portlet::
+
     >>> cat('portlets/configure.zcml')
     <configure
@@ -347,5 +356,5 @@
     ...
 
-Finally, new portlet type is registered in portlets.xml profile
+Finally, new portlet type is registered in portlets.xml profile::
 
     >>> cat('profiles/default/portlets.xml')
@@ -363,9 +372,8 @@
 
 
-
 Adding CSS resource
 ===================
 
-Use *css_resource* subtemplate.
+Use *css_resource* subtemplate::
 
     >>> paster("addcontent --no-interactive css_resource")
@@ -377,5 +385,5 @@
 
 This template adds (if does not exist yet) _stylesheets_ directory in _browser_
-directory
+directory::
 
     >>> 'stylesheets' in os.listdir('browser')
@@ -383,5 +391,5 @@
 
 In _stylesheets_ resource directory empty main.css stylesheet
-resource added
+resource added::
 
     >>> 'main.css' in os.listdir('browser/stylesheets')
@@ -391,5 +399,5 @@
 
 
-New resource directory was registered in configure.zcml
+New resource directory was registered in configure.zcml::
 
     >>> cat('browser/configure.zcml')
@@ -405,5 +413,5 @@
 
 And cssregistry.xml profile was added into profiles/default directory with
-registered main.css stylesheet
+registered main.css stylesheet::
 
     >>> 'cssregistry.xml' in os.listdir('profiles/default')
@@ -430,6 +438,7 @@
 
 This subtemplate has several benefits before registering css as resource layer:
-  - in dtml file you can use power of dtml language
-  - this resource can be overriden by customer if he needs that
+
+- in dtml file you can use power of dtml language
+- this resource can be overriden by customer if he needs that
 
 IMPORTANT:
@@ -438,5 +447,5 @@
 
 
-Use *css_dtml_skin* subtemplate.
+Use *css_dtml_skin* subtemplate::
 
     >>> paster("addcontent --no-interactive css_dtml_skin")
@@ -447,10 +456,11 @@
     ...
 
-This template adds main.css.dtml file into skins/skin_layer folder
+This template adds main.css.dtml file into skins/skin_layer folder::
 
     >>> 'main.css.dtml' in os.listdir('skins/skin_layer')
     True
 
-The main.css.dtml file already prepared to use as dtml-document
+The main.css.dtml file already prepared to use as dtml-document::
+
     >>> cat('skins/skin_layer/main.css.dtml')
     /*
@@ -463,5 +473,5 @@
 
 And cssregistry.xml profile was added into profiles/default directory with
-registered main.css stylesheet
+registered main.css stylesheet::
 
     >>> 'cssregistry.xml' in os.listdir('profiles/default')
@@ -482,5 +492,5 @@
 --------------------------
 
-Use *js_resource* subtemplate.
+Use *js_resource* subtemplate::
 
     >>> paster('addcontent --no-interactive js_resource')
@@ -492,5 +502,5 @@
 
 This template adds (if does not exist yet) _scripts_ directory in _browser_
-directory
+directory::
 
     >>> 'scripts' in os.listdir('browser')
@@ -498,5 +508,5 @@
 
 
-Empty foo.js javascript file was added to _scripts_ directory
+Empty foo.js javascript file was added to _scripts_ directory::
 
     >>> 'foo.js' in os.listdir('browser/scripts')
@@ -506,5 +516,5 @@
 
 
-New resource directory was registered in configure.zcml, if has not been registered yet.
+New resource directory was registered in configure.zcml, if has not been registered yet::
 
     >>> cat('browser/configure.zcml')
@@ -520,5 +530,5 @@
 
 cssregistry.xml profile was added into profiles/default directory (if does not exist yet),
-and register new foo.js javascript resource.
+and register new foo.js javascript resource::
 
     >>> 'jsregistry.xml' in os.listdir('profiles/default')
@@ -542,6 +552,7 @@
 
 There are 2 types of viewlet subtemplates:
- - viewlet_order
- - viewlet_hidden
+
+- viewlet_order
+- viewlet_hidden
 
 The first one is used for adding new viewlets and setting 
@@ -552,5 +563,5 @@
 -------------------
 
-Use *viewlet_order* subtemplate
+Use *viewlet_order* subtemplate::
 
     >>> paster('addcontent --no-interactive viewlet_order')
@@ -565,5 +576,5 @@
 This template adds (if not exist ;)) _viewlets.py_ module in browser directory.
 With added Example ViewletBase class, which is bound to templates/example_viewlet.pt
-template
+template::
 
     >>> 'viewlets.py' in os.listdir('browser')
@@ -579,5 +590,5 @@
     <BLANKLINE>
 
-Check template file in templates directory.
+Check template file in templates directory::
 
     >>> 'example_viewlet.pt' in os.listdir('browser/templates')
@@ -586,5 +597,5 @@
     <BLANKLINE>
 
-New viewlet is registered in configure.zcml
+New viewlet is registered in configure.zcml::
 
     >>> cat('browser/configure.zcml')
@@ -602,5 +613,5 @@
 
 viewlets.xml profile is added to profiles/default directory with new viewlet 
-registration, ordered for specified viewlet manager.
+registration, ordered for specified viewlet manager::
 
     >>> 'viewlets.xml' in os.listdir('profiles/default')
@@ -625,5 +636,5 @@
 ---------------------
 
-For that case you can use *viewlet_hidden* subtemplate
+For that case you can use *viewlet_hidden* subtemplate::
 
     >>> paster('addcontent --no-interactive viewlet_hidden')
@@ -636,5 +647,5 @@
 
 There is viewlet.xml profile in profiles/default directory
-which hides viewlet for specified viewlet manager
+which hides viewlet for specified viewlet manager::
 
     >>> 'viewlets.xml' in os.listdir('profiles/default')
@@ -665,5 +676,5 @@
 *import_zexps* subtemplate extends your theme with
 mechanism for importing list of zexp formated files
-into portal root on theme instllation.
+into portal root on theme instllation::
 
     >>> paster('addcontent --no-interactive import_zexps')
@@ -679,12 +690,13 @@
     ...
 
-As we see from the upper log:
-   - 'import' directory was added into root of the theme
-   - profiles stuff was updated
-   - profiles.zcml file is updated
-   - some stuff into setuphandlers.py module was inserted
+As we see from the upper log
+
+- 'import' directory was added into root of the theme
+- profiles stuff was updated
+- profiles.zcml file is updated
+- some stuff into setuphandlers.py module was inserted
     
 1. There was empty 'import' directory added, where you
-   will put zexp objects for install into portal root.
+   will put zexp objects for install into portal root.::
 
     >>> ls('import')
@@ -693,5 +705,5 @@
 
 2. import_steps.xml was added in profiles/import_zexps directory,
-   which contains additional *quintagroup.theme.example.import_zexps* step.
+   which contains additional *quintagroup.theme.example.import_zexps* step::
 
     >>> 'import_zexps' in os.listdir('profiles')
@@ -713,5 +725,5 @@
 
 3. profiles.zcml configuration updated with new genericsetup profile for zexps
-   importing.
+   importing::
 
     >>> cat('profiles.zcml')
@@ -728,5 +740,5 @@
     ...
     
-4. Check setuphandlers.py module - there must be importZEXPs function defined
+4. Check setuphandlers.py module - there must be importZEXPs function defined::
 
     >>> cat('setuphandlers.py')
@@ -744,12 +756,9 @@
 Before releasing theme - I suggest to clean up setup.py script:
 
- - remove *theme_vars* argument (its value is useful only for
-   theme development)
-
- - remove *entry_points* argument (same reason).
-   It's useless in plone for now.
-
- - And remove *paster_plugins* argument too (it has sence
-   in conjunction with entry_points during theme developing)
+- remove *theme_vars* argument (its value is useful only for theme development)
+
+- remove *entry_points* argument (same reason). It's useless in plone for now.
+
+- And remove *paster_plugins* argument too (it has sence in conjunction with entry_points during theme developing)
 
 Steps mentioned above prevent possible problems with
@@ -759,4 +768,4 @@
 ------
 
- * quintagroup.themetemplate v0.25 compatible with ZopeSkel >= 2.15
-
+* quintagroup.themetemplate v0.25 compatible with ZopeSkel >= 2.15
+