Index: quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/skins/plonegooglesitemaps/prefs_gsm_settings.cpt
===================================================================
--- quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/skins/plonegooglesitemaps/prefs_gsm_settings.cpt	(revision 2555)
+++ quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/skins/plonegooglesitemaps/prefs_gsm_settings.cpt	(revision 2580)
@@ -9,7 +9,5 @@
         tal:define="errors python:request.get('errors', {});
                     here_url context/@@plone_context_state/object_url;
-                    portal context/@@plone_portal_state/portal;
-                    Iterator python:modules['Products.CMFPlone'].IndexIterator;
-                    tabindex python:Iterator(mainSlot=False);">
+                    portal context/@@plone_portal_state/portal;">
 
         <div class="documentEditable">
@@ -76,10 +74,9 @@
                                 <td>
                                 <input type="checkbox" class="noborder"
-                                        name="smselected:list" id="#" value="#" tabindex=""
+                                        name="smselected:list" id="#" value="#"
                                         tal:attributes="value    data/sm_id;
                                                         id       string:cb_${data/sm_id};
                                                         alt      data/sm_type;
-                                                        title    data/sm_type;
-                                                        tabindex tabindex/next;" />
+                                                        title    data/sm_type;" />
                                 </td>
                                 <td>
@@ -111,42 +108,32 @@
                             i18n:domain="plone">
                             <input class="context"
-                                tabindex=""
                                 type="submit"
                                 name="form.button.AddContent"
                                 value="Add Content Sitemap"
                                 i18n:attributes="value"
-                                tal:condition="not:view/hasContentSM"
-                                tal:attributes="tabindex tabindex/next;" />
+                                tal:condition="not:view/hasContentSM" />
                             <input class="context"
-                                tabindex=""
                                 type="submit"
                                 name="form.button.AddMobile"
                                 value="Add Mobile Sitemap"
                                 i18n:attributes="value"
-                                tal:condition="not:view/hasMobileSM"
-                                tal:attributes="tabindex tabindex/next;" />
+                                tal:condition="not:view/hasMobileSM" />
                             <input class="context"
-                                tabindex=""
                                 type="submit"
                                 name="form.button.AddNews"
                                 value="Add News Sitemap"
                                 i18n:attributes="value"
-                                tal:condition="not:view/hasNewsSM"
-                                tal:attributes="tabindex tabindex/next;" />
+                                tal:condition="not:view/hasNewsSM" />
                             <tal:block condition="sitemaps">
                             <input class="context"
-                                tabindex=""
                                 type="submit"
                                 name="form.button.Delete"
                                 value="Delete"
-                                i18n:attributes="value"
-                                tal:attributes="tabindex tabindex/next;" />
+                                i18n:attributes="value" />
                             <input class="context"
-                                tabindex=""
                                 type="submit"
                                 name="form.button.Ping"
                                 value="Ping"
-                                i18n:attributes="value"
-                                tal:attributes="tabindex tabindex/next;" />
+                                i18n:attributes="value" />
                             </tal:block>
                         </div>